httpd24-mod_auth_mellon-diagnostics-0.14.0-3.el7.x86_64.rpm


Advertisement

Description

httpd24-mod_auth_mellon-diagnostics - Build of mod_auth_mellon with diagnostic logging

Property Value
Distribution CentOS 7
Repository CentOS SCLo RH x86_64
Package filename httpd24-mod_auth_mellon-diagnostics-0.14.0-3.el7.x86_64.rpm
Package name httpd24-mod_auth_mellon-diagnostics
Package version 0.14.0
Package release 3.el7
Package architecture x86_64
Package type rpm
Category System Environment/Daemons
Homepage https://github.com/UNINETT/mod_auth_mellon
License GPLv2+
Maintainer -
Download size 67.08 KB
Installed size 168.34 KB
Build of mod_auth_mellon with diagnostic logging. See README.redhat.rst
in the doc directory for instructions on using the diagnostics build.

Alternatives

Package Version Architecture Repository
httpd24-mod_auth_mellon-diagnostics-0.14.0-3.el7.x86_64.rpm 0.14.0 x86_64 CentOS SCLo RH Testing
httpd24-mod_auth_mellon-diagnostics - - -

Requires

Name Value
httpd24-mod_auth_mellon = 0.14.0-3.el7
httpd24-runtime -
libc.so.6(GLIBC_2.4)(64bit) -
libcrypto.so.10()(64bit) -
libcrypto.so.10(libcrypto.so.10)(64bit) -
libcurl.so.4()(64bit) -
libglib-2.0.so.0()(64bit) -
liblasso.so.3()(64bit) -
libssl.so.10()(64bit) -
rtld(GNU_HASH) -

Provides

Name Value
httpd24-mod_auth_mellon-diagnostics = 0.14.0-3.el7
httpd24-mod_auth_mellon-diagnostics(x86-64) = 0.14.0-3.el7
scl-package(httpd24) -

Download

Type URL
Mirror mirror.centos.org
Binary Package httpd24-mod_auth_mellon-diagnostics-0.14.0-3.el7.x86_64.rpm
Source Package httpd24-mod_auth_mellon-0.14.0-3.el7.src.rpm

Install Howto

  1. Install CentOS SCLo RH repository:
    yum install centos-release-scl-rh
  2. Install httpd24-mod_auth_mellon-diagnostics rpm package:
    # yum install httpd24-mod_auth_mellon-diagnostics

Files

Path
/opt/rh/httpd24/root/usr/lib64/httpd/modules/mod_auth_mellon-diagnostics.so

Changelog

2019-04-03 - Lubos Uhliarik <luhliari@redhat.com> - 0.14.0-3
- Resolves: #1692459 - CVE-2019-3878 httpd24-mod_auth_mellon: mod_auth_mellon:
authentication bypass in ECP flow
2019-01-09 - Lubos Uhliarik <luhliari@redhat.com> - 0.14.0-2
- Resolves: #1568475 - mod_auth_mellon: tmpfiles.d drop-in wrong location
- Resolves: #1568837 - ownership test fail
2019-01-08 - Lubos Uhliarik <luhliari@redhat.com> - 0.14.0-1
- new version 0.14.0 (#1582039)
2018-01-05 - LuboŇ° Uhliarik <luhliari@redhat.com> - 0.13.1-2
- Resolves: #1514391 - [RFE] Include mod_auth_mellon for RHSCL httpd24
- Merged with RHEL-7.5 branch, SCLized spec
2017-10-20 - John Dennis <jdennis@redhat.com> - 0.13.1-1
- Resolves: rhbz#1481332 Upgrade to current upstream 0.13.1
- Adds the following upstream bug fixes on top of 0.13.1:
* ee97812 Add Mellon User Guide
* daa5d1e If no IdP's are defined explicitly log that fact
* c291232 Make MellonUser case-insensitive.
* 2c2e19d Fix incorrect error check for many `lasso_*`-functions.
* 5c5ed1d Fix segmentation fault with POST field without a value.
* 4c924d9 Fix some log message typos
* 93faba4 Update log msg for Invalid Destination and Invalid Audience to
show both the expected and received values.
- Add new mellon user guide to installed docdir
2017-01-30 - John Dennis <jdennis@redhat.com> - 0.11.0-4
- Resolves: rhbz#1414021 - Incorrect Content-Type header in ECP PAOS
Rebuilding due to missing comment in Changelog
2017-01-30 - John Dennis <jdennis@redhat.com> - 0.11.0-3
- Resolves: rhbz#1414021 - Incorrect Content-Type header in ECP PAOS
2016-04-08 - John Dennis <jdennis@redhat.com> - 0.11.0-2
- Resolves: bug #1296286
mod_auth_mellon emits CRITICAL warning message in Apache log when doing ECP
- Resolves: bug #1324536
Installing mod_auth_mellon causes working Kerberos authentication
to start failing
- Add ECP.rst documentation file that was erroneously omitted
2015-09-18 - John Dennis <jdennis@redhat.com> - 0.11.0-1
- Upgrade to upstream 0.11.0 release.
- Includes ECP support, see NEWS for all changes.
- Update mellon_create_metadata.sh to match internally generated metadata,
includes AssertionConsumerService for postResponse, artifactResponse &
paosResponse.
- Add lasso 2.5.0 version dependency
- Resolves: #1205345
2015-08-24 - John Dennis <jdennis@redhat.com> - 0.10.0-3
- Rebase to upstream 0.10.0 release
- Apply upstream commits post 0.10.0 release
- Apply revised ECP pending patches,
fix patch to pickup change in configure script that causes
HAVE_ECP to be defined
- Resolves: #1205345

See Also

Package Description
httpd24-mod_ldap-2.4.27-8.el7.1.x86_64.rpm LDAP authentication modules for the Apache HTTP Server
httpd24-mod_ldap-2.4.27-8.el7.x86_64.rpm LDAP authentication modules for the Apache HTTP Server
httpd24-mod_ldap-2.4.34-7.el7.1.x86_64.rpm LDAP authentication modules for the Apache HTTP Server
httpd24-mod_ldap-2.4.34-7.el7.x86_64.rpm LDAP authentication modules for the Apache HTTP Server
httpd24-mod_md-2.4.34-7.el7.1.x86_64.rpm Certificate provisioning using ACME for the Apache HTTP Server
httpd24-mod_md-2.4.34-7.el7.x86_64.rpm Certificate provisioning using ACME for the Apache HTTP Server
httpd24-mod_proxy_html-2.4.27-8.el7.1.x86_64.rpm HTML and XML content filters for the Apache HTTP Server
httpd24-mod_proxy_html-2.4.27-8.el7.x86_64.rpm HTML and XML content filters for the Apache HTTP Server
httpd24-mod_proxy_html-2.4.34-7.el7.1.x86_64.rpm HTML and XML content filters for the Apache HTTP Server
httpd24-mod_proxy_html-2.4.34-7.el7.x86_64.rpm HTML and XML content filters for the Apache HTTP Server
httpd24-mod_security-2.9.3-4.el7.x86_64.rpm Security module for the Apache HTTP Server
httpd24-mod_session-2.4.27-8.el7.1.x86_64.rpm Session interface for the Apache HTTP Server
httpd24-mod_session-2.4.27-8.el7.x86_64.rpm Session interface for the Apache HTTP Server
httpd24-mod_session-2.4.34-7.el7.1.x86_64.rpm Session interface for the Apache HTTP Server
httpd24-mod_session-2.4.34-7.el7.x86_64.rpm Session interface for the Apache HTTP Server
Advertisement
Advertisement